Difference between revisions of "DAViCal Dependencies"

From Davical
Jump to navigationJump to search
(different php packages for PHP 7)
m
 
Line 5: Line 5:
 
   * A Webserver
 
   * A Webserver
 
   * postgresql
 
   * postgresql
  * php5
 
  * php5-pgsql
 
  * php5-imap
 
  * php5-curl
 
  * php5-cgi
 
 
   * libyaml-perl
 
   * libyaml-perl
 
   * libdbd-pg-perl
 
   * libdbd-pg-perl
 
   * libdbi-perl
 
   * libdbi-perl
 
For PHP 7 (from Debian Stretch / Ubuntu 16.04 Xenial), the PHP packages are different:
 
 
 
   * php
 
   * php
 
   * php-pgsql
 
   * php-pgsql
Line 22: Line 14:
 
   * php-cgi
 
   * php-cgi
 
   * php-xml
 
   * php-xml
 +
 +
For older PHP 5 installations, the PHP packages are different:
 +
 +
  * php5
 +
  * php5-pgsql
 +
  * php5-imap
 +
  * php5-curl
 +
  * php5-cgi
 +
  
 
The Ubuntu 16.04 package unfortunately lacks the php-xml dependency, so this package has to be added manually.
 
The Ubuntu 16.04 package unfortunately lacks the php-xml dependency, so this package has to be added manually.
  
 
[[Category:Installation]]
 
[[Category:Installation]]

Latest revision as of 15:36, 26 October 2020

All those dependencies must be met for DAViCal to function correctly. This page shall try to list the different depencies for different architectures.

Debian / Ubuntu

 * A Webserver
 * postgresql
 * libyaml-perl
 * libdbd-pg-perl
 * libdbi-perl
 * php
 * php-pgsql
 * php-imap
 * php-curl
 * php-cgi
 * php-xml

For older PHP 5 installations, the PHP packages are different:

 * php5
 * php5-pgsql
 * php5-imap
 * php5-curl
 * php5-cgi


The Ubuntu 16.04 package unfortunately lacks the php-xml dependency, so this package has to be added manually.